rte_flow_action_raw_encap(3)

NAME
rte_flow_action_raw_encap

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t * data
uint8_t * preserve
size_t size

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_RAW_ENCAP

Raw tunnel end-point encapsulation data definition.

The data holds the headers definitions to be applied on the packet. The data must start with ETH header up to the tunnel item header itself. When used right after RAW_DECAP (for decapsulating L3 tunnel type for example MPLSoGRE) the data will just hold layer 2 header.

The preserve parameter holds which bits in the packet the PMD is not allowed to change, this parameter can also be NULL and then the PMD is allowed to update any field.

size holds the number of bytes in data and preserve.

Definition at line 3760 of file rte_flow.h.

Field Documentation

  uint8_t* data
Encapsulation data.

Definition at line 3761 of file rte_flow.h.

  uint8_t* preserve
Bit-mask of data to preserve on output.

Definition at line 3762 of file rte_flow.h.

  size_t size
Size of data and preserve.

Definition at line 3763 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.